Search for all
- Search 7.x for all
- Search 9.5.x for all
- Search 8.9.x for all
- Search 10.3.x for all
- Search 11.x for all
- Other projects
| Title | Object type | File name | Summary |
|---|---|---|---|
| JsonApiSpec.php | file | core/ |
|
| JsonApiSpec::getReservedQueryParameters | function | core/ |
Gets the reserved (official) JSON:API query parameters. |
| JsonApiSpec::isValidCustomQueryParameter | function | core/ |
Checks whether the given custom query parameter name is valid. |
| JsonApiSpec::isValidMemberName | function | core/ |
Checks whether the given member name is valid. |
| JsonApiSpec::MEMBER_NAME_GLOBALLY_ALLOWED_CHARACTER_CLASS | constant | core/ |
Member name: globally allowed characters. |
| JsonApiSpec::MEMBER_NAME_INNER_ALLOWED_CHARACTERS | constant | core/ |
Member name: allowed characters except as the first or last character. |
| JsonApiSpec::MEMBER_NAME_REGEXP | constant | core/ |
Regular expression to check the validity of a member name. |
| JsonApiSpec::RESERVED_QUERY_PARAMETERS | constant | core/ |
The reserved (official) query parameters. |
| JsonApiSpec::SUPPORTED_SPECIFICATION_JSON_SCHEMA | constant | core/ |
The URI of the supported specification's JSON Schema. |
| JsonApiSpec::SUPPORTED_SPECIFICATION_PERMALINK | constant | core/ |
The URI of the supported specification document. |
| JsonApiSpec::SUPPORTED_SPECIFICATION_VERSION | constant | core/ |
The minimum supported specification version. |
| JsonApiSpec::VERSION_QUERY_PARAMETER | constant | core/ |
The query parameter for providing a version (revision) value. |
| JsonApiSpecTest | class | core/ |
Tests Drupal\jsonapi\JsonApiSpec. |
| JsonApiSpecTest.php | file | core/ |
|
| JsonApiSpecTest::providerTestIsValidCustomQueryParameter | function | core/ |
Data provider for testIsValidCustomQueryParameter. |
| JsonApiSpecTest::providerTestIsValidMemberName | function | core/ |
Data provider for testIsValidMemberName. |
| JsonApiSpecTest::testIsValidCustomQueryParameter | function | core/ |
Provides test cases. |
| JsonApiSpecTest::testIsValidMemberName | function | core/ |
Ensures that member names are properly validated. |
| JsonapiTestFieldAccessHooks | class | core/ |
Hook implementations for jsonapi_test_field_access. |
| JsonapiTestFieldAccessHooks.php | file | core/ |
|
| JsonapiTestFieldAccessHooks::entityFieldAccess | function | core/ |
Implements hook_entity_field_access(). |
| JsonapiTestNonCacheableMethodsHooks | class | core/ |
Hook implementations for jsonapi_test_non_cacheable_methods. |
| JsonapiTestNonCacheableMethodsHooks.php | file | core/ |
|
| JsonapiTestNonCacheableMethodsHooks::entityPredelete | function | core/ |
Implements hook_entity_predelete(). |
| JsonapiTestNonCacheableMethodsHooks::entityPresave | function | core/ |
Implements hook_entity_presave(). |
| JsonapiTestUserHooks | class | core/ |
Hook implementations for jsonapi_test_user. |
| JsonapiTestUserHooks.php | file | core/ |
|
| JsonapiTestUserHooks::userFormatNameAlter | function | core/ |
Implements hook_user_format_name_alter(). |
| JsonApiTopLevelResourceNormalizerTest | class | core/ |
Tests Drupal\jsonapi\Normalizer\JsonApiDocumentTopLevelNormalizer. |
| JsonApiTopLevelResourceNormalizerTest.php | file | core/ |
|
| JsonApiTopLevelResourceNormalizerTest::$file | property | core/ |
The example image file. |
| JsonApiTopLevelResourceNormalizerTest::$includeResolver | property | core/ |
The include resolver. |
| JsonApiTopLevelResourceNormalizerTest::$modules | property | core/ |
Modules to install. |
| JsonApiTopLevelResourceNormalizerTest::$node | property | core/ |
A node to normalize. |
| JsonApiTopLevelResourceNormalizerTest::$nodeType | property | core/ |
The node type. |
| JsonApiTopLevelResourceNormalizerTest::$resourceTypeRepository | property | core/ |
The JSON:API resource type repository under test. |
| JsonApiTopLevelResourceNormalizerTest::$term1 | property | core/ |
A term. |
| JsonApiTopLevelResourceNormalizerTest::$term2 | property | core/ |
A term. |
| JsonApiTopLevelResourceNormalizerTest::$user | property | core/ |
A user to normalize. |
| JsonApiTopLevelResourceNormalizerTest::$user2 | property | core/ |
A user. |
| JsonApiTopLevelResourceNormalizerTest::$vocabulary | property | core/ |
A vocabulary. |
| JsonApiTopLevelResourceNormalizerTest::cacheableMetadataProvider | function | core/ |
Provides test cases for asserting cacheable metadata behavior. |
| JsonApiTopLevelResourceNormalizerTest::denormalizeUuidProviderBuilder | function | core/ |
We cannot use a PHPUnit data provider because our data depends on $this. |
| JsonApiTopLevelResourceNormalizerTest::getNormalizer | function | core/ |
Helper to load the normalizer. |
| JsonApiTopLevelResourceNormalizerTest::getTestConfigEntityResource | function | core/ |
Get a test resource type, resource object and includes for config entity. |
| JsonApiTopLevelResourceNormalizerTest::getTestContentEntityResource | function | core/ |
Get a test resource type, resource object and includes. |
| JsonApiTopLevelResourceNormalizerTest::jsonSchemaDataProvider | function | core/ |
Data provider for ::testNormalizedValuesAgainstJsonSchema. |
| JsonApiTopLevelResourceNormalizerTest::setUp | function | core/ |
|
| JsonApiTopLevelResourceNormalizerTest::tearDown | function | core/ |
|
| JsonApiTopLevelResourceNormalizerTest::testAliasFieldRouteException | function | core/ |
Tests the message and exceptions when requesting a Label only resource. |
Pagination
- Previous page
- Page 889
- Next page
Buggy or inaccurate documentation? Please file an issue. Need support? Need help programming? Connect with the Drupal community.